%bcond_with docs

Name:           gstreamer1.0-vaapi
Version:        1.24.7
Release:        %mkrel 1
Summary:        A collection of VA-API based plugins for GStreamer and helper libraries
Group:          System/Libraries
License:        LGPLv2+ and GPLv2+
URL:            https://gstreamer.freedesktop.org/modules/gstreamer-vaapi.html
Source0:        https://gstreamer.freedesktop.org/src/gstreamer-vaapi/gstreamer-vaapi-%{version}.tar.xz
BuildRequires:  meson
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glesv2)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gstreamer-1.0) >= %{version}
BuildRequires:  pkgconfig(gstreamer-codecparsers-1.0) >= %{version}
BuildRequires:  pkgconfig(gstreamer-plugins-base-1.0) >= %{version}
BuildRequires:  pkgconfig(libavcodec)
BuildRequires:  pkgconfig(libva)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-protocols)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xrandr)
%ifarch %{valgrind_arches} %{arm32}
BuildRequires:	pkgconfig(valgrind)
%endif

%description
Gstreamer-vaapi is a collection of VA-API based plugins for GStreamer
and helper libraries. vaapidecode is used to decode MPEG-2, MPEG-4,
H.264, VC-1, WMV3 videos to video/x-vaapi-surface surfaces, depending
on the underlying HW capabilities. vaapiconvert is used to convert from
video/x-raw-yuv pixels to video/x-vaapi-surface surfaces. vaapisink is
used to display video/x-vaapi-surface surfaces to the screen.

%prep
%autosetup -p1 -n gstreamer-vaapi-%{version}

%build
%meson \
	-Dexamples=disabled \
	-Ddoc=%{?with_docs:enabled}%{?!with_docs:disabled}

%meson_build

%install
%meson_install

# no devel pkg
rm -rf %{buildroot}%{_libdir}/gstreamer-1.0/pkgconfig/

%files
%doc NEWS README
%{_libdir}/gstreamer-1.0/libgstvaapi.so


%changelog
* Fri Aug 30 2024 daviddavid <daviddavid> 1.24.7-1.mga10
+ Revision: 2092245
- new version: 1.24.7

* Fri Jun 07 2024 daviddavid <daviddavid> 1.24.4-1.mga10
+ Revision: 2070364
- new version: 1.24.4

* Mon Mar 25 2024 daviddavid <daviddavid> 1.24.1-1.mga10
+ Revision: 2052112
- new version 1.24.1

* Mon Mar 25 2024 daviddavid <daviddavid> 1.24.0-1.mga10
+ Revision: 2051928
- new version 1.24.0

* Sun Feb 04 2024 wally <wally> 1.22.9-2.mga10
+ Revision: 2037172
- rebuild for arm32

* Mon Jan 29 2024 wally <wally> 1.22.9-1.mga10
+ Revision: 2036136
- new version 1.22.9

* Wed Dec 20 2023 ghibo <ghibo> 1.22.8-1.mga10
+ Revision: 2020056
- Update to release 1.22.8

* Mon Oct 09 2023 wally <wally> 1.22.6-1.mga10
+ Revision: 1993817
- new version 1.22.6

* Tue Aug 29 2023 ghibo <ghibo> 1.22.5-1.mga10
+ Revision: 1980862
- Update to release 1.22.5

* Sat Jul 08 2023 ghibo <ghibo> 1.22.4-1.mga9
+ Revision: 1963704
- Update to release 1.22.4

* Sun May 21 2023 ghibo <ghibo> 1.22.3-1.mga9
+ Revision: 1957548
- Update to release 1.22.3

* Tue Jan 24 2023 wally <wally> 1.22.0-1.mga9
+ Revision: 1935710
- new version 1.22.0

* Sun Jan 15 2023 wally <wally> 1.21.90-1.mga9
+ Revision: 1933323
- new version 1.21.90

* Mon Dec 26 2022 wally <wally> 1.20.5-1.mga9
+ Revision: 1926960
- new version 1.20.5

* Sun Nov 20 2022 wally <wally> 1.20.4-1.mga9
+ Revision: 1909319
- new version 1.20.4

* Sat Jul 23 2022 wally <wally> 1.20.3-1.mga9
+ Revision: 1870401
- new version 1.20.3

* Sun May 08 2022 wally <wally> 1.20.2-1.mga9
+ Revision: 1856825
- new version 1.20.2

* Wed Apr 06 2022 umeabot <umeabot> 1.20.1-2.mga9
+ Revision: 1845958
- Mageia 9 Mass Rebuild

* Sun Apr 03 2022 wally <wally> 1.20.1-1.mga9
+ Revision: 1842465
- new version 1.20.1

* Sat Sep 18 2021 wally <wally> 1.18.5-1.mga9
+ Revision: 1745698
- new version 1.18.5 (mga#29452)

* Mon Apr 05 2021 wally <wally> 1.18.4-1.mga9
+ Revision: 1713709
- new version 1.18.4

* Mon Jan 18 2021 wally <wally> 1.18.3-1.mga8
+ Revision: 1672340
- new version 1.18.3

* Wed Dec 09 2020 wally <wally> 1.18.2-1.mga8
+ Revision: 1655026
- new version 1.18.2

* Sat Nov 21 2020 wally <wally> 1.18.1-1.mga8
+ Revision: 1648250
- new version 1.18.1

* Sun Sep 13 2020 wally <wally> 1.18.0-1.mga8
+ Revision: 1625919
- new version 1.18.0

* Fri Mar 13 2020 daviddavid <daviddavid> 1.16.2-4.mga8
+ Revision: 1556005
- enable wayland-protocols support

* Fri Mar 13 2020 daviddavid <daviddavid> 1.16.2-3.mga8
+ Revision: 1556001
- switch to meson build system (GStreamer has given up on autotools...)

* Tue Feb 18 2020 umeabot <umeabot> 1.16.2-2.mga8
+ Revision: 1539270
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Dec 04 2019 daviddavid <daviddavid> 1.16.2-1.mga8
+ Revision: 1464338
- new version 1.16.2

* Tue Sep 24 2019 daviddavid <daviddavid> 1.16.1-1.mga8
+ Revision: 1445556
- new version 1.16.1

* Thu Apr 25 2019 wally <wally> 1.16.0-1.mga7
+ Revision: 1395290
- new version 1.16.0

* Thu Oct 04 2018 daviddavid <daviddavid> 1.14.4-1.mga7
+ Revision: 1317571
- new version 1.14.4

* Tue Sep 18 2018 daviddavid <daviddavid> 1.14.3-1.mga7
+ Revision: 1259562
- new version 1.14.3

* Sat Jul 21 2018 daviddavid <daviddavid> 1.14.2-1.mga7
+ Revision: 1244588
- new version: 1.14.2

* Mon May 21 2018 wally <wally> 1.14.1-1.mga7
+ Revision: 1231145
- new version 1.14.1

* Fri Apr 13 2018 ovitters <ovitters> 1.14.0-2.mga7
+ Revision: 1218144
- rebuild for libva

* Sun Mar 25 2018 wally <wally> 1.14.0-1.mga7
+ Revision: 1212156
- new version 1.14.0
- enable valgrind on all supported arches

* Sat Dec 16 2017 wally <wally> 1.12.4-1.mga7
+ Revision: 1182823
- new version 1.12.4

* Tue Sep 26 2017 wally <wally> 1.12.3-1.mga7
+ Revision: 1160029
- new version 1.12.3
- new version 1.12.2

* Tue May 02 2017 akien <akien> 1.10.3-2.mga6
+ Revision: 1098359
- Rebuild for ffmpeg 3.3

* Fri Feb 10 2017 ns80 <ns80> 1.10.3-1.mga6
+ Revision: 1085499
- new version 1.10.3

* Sun Jan 15 2017 wally <wally> 1.10.2-1.mga6
+ Revision: 1081803
- new version 1.10.2

* Sun Aug 21 2016 luigiwalser <luigiwalser> 1.8.3-1.mga6
+ Revision: 1047615
- 1.8.3

* Fri Jun 10 2016 luigiwalser <luigiwalser> 1.8.2-1.mga6
+ Revision: 1021009
- 1.8.2

* Mon May 09 2016 luigiwalser <luigiwalser> 1.8.1-1.mga6
+ Revision: 1011420
- 1.8.1

* Fri Mar 25 2016 wally <wally> 1.8.0-1.mga6
+ Revision: 995271
- new version 1.8.0
- add pkg origin information

* Sat Mar 19 2016 wally <wally> 1.7.91-1.mga6
+ Revision: 992975
- new version 1.7.91

* Sun Mar 06 2016 wally <wally> 1.7.90-1.mga6
+ Revision: 986586
- rename src.rpm as gstreamer1.0-vaapi
- drop lib and devel pkgs as upstream doesn't ship them anymore
- fetch gstreamer-vaapi.doap from upstream which is needed to build the pkg and is missing from the release tarball
- drop plugin gtk-docs
- drop unneeded patches
+ ovitters <ovitters>
- new version 1.7.90

* Mon Feb 15 2016 umeabot <umeabot> 0.7.0-2.mga6
+ Revision: 960578
- Mageia 6 Mass Rebuild

* Thu Dec 17 2015 ovitters <ovitters> 0.7.0-1.mga6
+ Revision: 911178
- new version 0.7.0

* Thu Oct 08 2015 ovitters <ovitters> 0.6.1-3.mga6
+ Revision: 887711
- add my very first (probably terribly written) patch to fix linking
- enable egl

* Thu Oct 08 2015 ovitters <ovitters> 0.6.1-2.mga6
+ Revision: 887651
- enable gles

* Thu Oct 08 2015 ovitters <ovitters> 0.6.1-1.mga6
+ Revision: 887635
- new version 0.6.1

* Tue Sep 29 2015 zezinho <zezinho> 0.6.0-1.mga6
+ Revision: 885179
- new version 0.6.0

* Wed Oct 15 2014 umeabot <umeabot> 0.5.9-6.mga5
+ Revision: 742608
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.9-5.mga5
+ Revision: 679970
- Mageia 5 Mass Rebuild

* Sun Sep 07 2014 luigiwalser <luigiwalser> 0.5.9-4.mga5
+ Revision: 673208
- fix gstreamer0.10-vaapi obsoletes due to strange packaging in former package

* Sat Sep 06 2014 luigiwalser <luigiwalser> 0.5.9-3.mga5
+ Revision: 672694
- obsolete gstreamer0.10-vaapi

* Wed Sep 03 2014 zezinho <zezinho> 0.5.9-2.mga5
+ Revision: 671486
- build against gstreamer1.0, as 0.10 is deprecated

* Fri Aug 01 2014 tv <tv> 0.5.9-1.mga5
+ Revision: 659002
- BR nasm+yasm
- convert other BRs to pkgconfig style
- fix unsatisfied X11 BR: 'X11-devel' => 'pkgconfig(x11)'
- new release
- disable parallel build
- verbose build
- imported package gstreamer-vaapi

